Commit 4c78771e authored by Lukas Riedel's avatar Lukas Riedel 📝

readme: recommending python3 for Ubuntu too. added info on metis installation for Ubuntu

parent 8a3b0ed6
...@@ -113,11 +113,10 @@ These instructions are suitable for a clean **Ubuntu** or **Mac OS X** setup. Th ...@@ -113,11 +113,10 @@ These instructions are suitable for a clean **Ubuntu** or **Mac OS X** setup. Th
**Ubuntu:** **Ubuntu:**
apt update apt update
apt install autoconf bison cmake flex gcc-5 g++-5 gfortran-5 \ apt install cmake doxygen gcc-5 g++-5 gfortran-5 \
git libatlas-base-dev libfftw3-dev libfftw3-mpi-dev \ git libatlas-base-dev libfftw3-dev libfftw3-mpi-dev \
libfreetype6-dev libhdf5-mpi-dev libopenmpi-dev libpng-dev \ libfreetype6-dev libhdf5-mpi-dev libopenmpi-dev libpng-dev \
libsuperlu-dev libxft-dev python-dev python-pip python-sphinx \ libsuperlu-dev libxft-dev python3-dev python3-pip
python-breathe doxygen
**Mac OS X:** **Mac OS X:**
...@@ -131,7 +130,7 @@ These instructions are suitable for a clean **Ubuntu** or **Mac OS X** setup. Th ...@@ -131,7 +130,7 @@ These instructions are suitable for a clean **Ubuntu** or **Mac OS X** setup. Th
**Ubuntu:** **Ubuntu:**
TBD apt install libmetis-dev libparmetis-dev
**Mac OS X:** **Mac OS X:**
...@@ -141,12 +140,7 @@ These instructions are suitable for a clean **Ubuntu** or **Mac OS X** setup. Th ...@@ -141,12 +140,7 @@ These instructions are suitable for a clean **Ubuntu** or **Mac OS X** setup. Th
2. Install the necessary Python packages using `pip`: 2. Install the necessary Python packages using `pip`:
**Ubuntu:** pip3 install --upgrade pip
python -m pip install virtualenv
**Mac OS X:**
pip3 install sphinx breathe pip3 install sphinx breathe
3. **Mac OS X** only: 3. **Mac OS X** only:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment